=== debian/changelog ===
pyferret (1.2.0-2) unstable; urgency=medium

  * Standards-Version: 3.9.8. No changes required
  * Hard-code build-date, platform for bit-reprodducible builds

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 07 Jul 2016 10:44:53 +0100

pyferret (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix to copyright; "Expat" license not BSD-3-Clause
  * Standards-Version: 3.9.7. No changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Mar 2016 14:51:11 +0000

pyferret (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #732290)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Oct 2015 23:47:49 +0000
