=== debian/control ===
Source: pyferret
Standards-Version: 3.9.8
Homepage: http://ferret.pmel.noaa.gov/Ferret/documentation/pyferret
Vcs-Git: git://git.debian.org/git/debian-science/packages/pyferret.git
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Section: science
Priority: optional
XB-Python-Version: 2.7
Build-Depends: debhelper (>= 9), gfortran, csh, 
 libreadline-dev, libcurl4-openssl-dev | libcurl-dev, libncurses-dev, 
 libnetcdf-dev (>= 4.3.0), libnetcdff-dev,
 libxpm-dev, libxt-dev, libcairo2-dev, libpango1.0-dev,
 python-all-dev, dh-python, python-numpy,
 java-common, openjdk-8-jdk, ferret-vis

Package: python-ferret
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ferret-vis, ${python:Depends}
Recommends: ferret-datasets
Description: Python wrapper for the Ferret visualization and analysis environment
 Ferret is an interactive computer visualization and analysis environment
 designed to meet the needs of oceanographers and meteorologists analyzing
 large and complex gridded data sets. It can transparently access extensive
 remote Internet data bases using OPeNDAP (formerly known as DODS)
 .
 This is the Python wrapper for Ferret
