=== fer/Makefile ===
--- 
+++ 
@@ -14,7 +14,6 @@
 include ../platform_specific.mk.$(BUILDTYPE)
 
 PLATFORM := $(shell uname -rs)
-VERSION_INFO := (PyFerret $(PYFERRET_VERSION))
 DATE := $(shell /bin/date +%D)
 
 #
@@ -22,10 +21,10 @@
 #
 
 DIRS = ccr cferbind ctx dat doo efi efn ef_utility fmt gnl grdel \
-       ino mem ocn plt pyf rpn stk utl xeq special
+       ino mem plt pyf rpn stk utl xeq special
 
 LIBS = ccr cferbind ctx dat doo efi efn ef_utility fmt gnl grdel \
-       ino mem ocn plt pyf rpn stk utl xeq 
+       ino mem plt pyf rpn stk utl xeq 
 
 #
 # Targets
@@ -39,6 +38,15 @@
 optimized:
 	$(MAKE) "CFLAGS = $(CFLAGS) -O -DNDEBUG" \
 		"FFLAGS = $(FFLAGS) -O -DNDEBUG" \
+		"VERSION_INFO = (opt)" \
+		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) -O -DNDEBUG" \
+		build
+
+.PHONY : beta
+beta:
+	$(MAKE) "CFLAGS = $(CFLAGS) -O -DNDEBUG" \
+		"FFLAGS = $(FFLAGS) -O -DNDEBUG" \
+		"VERSION_INFO = (beta/opt)" \
 		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) -O -DNDEBUG" \
 		build
 
@@ -46,6 +54,7 @@
 debug:
 	$(MAKE) "CFLAGS = $(CFLAGS) -O0 -g" \
 		"FFLAGS = $(FFLAGS) -O0 -g -fbounds-check" \
+		"VERSION_INFO = (beta/dbg)" \
 		"PPLUS_FFLAGS = $(PPLUS_FFLAGS) -O0 -g" \
 		build
