=== debian/changelog ===
pyferret (7.0.0-2) unstable; urgency=medium

  * B-D on jre-default-headless

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Aug 2016 23:17:30 +0100

pyferret (7.0.0-1) experimental; urgency=medium

  * New upstream release
  * Experimental python3 build	
  * Include pyferret executable in python*-ferret, with alternatives

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Aug 2016 10:13:52 +0100
